> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a single transactional email

> This method is used to send an email designed in the marketing email tool. After you design and publish a transactional email in your HubSpot account, you can use this API to include customization options to the email, then send it to the intended recipient.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['transactional-email']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/transactional-emails-v1.json POST /email/public/v1/singleEmail/send
openapi: 3.0.0
info:
  title: Transactional emails API v1
  version: 1.0.0
  description: >-
    Use the transactional email API to send emails from a dedicated IP address
    to your contacts for essential business transactions, including account
    updates or terms of service changes.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /email/public/v1/singleEmail/send:
    post:
      summary: Send a single transactional email
      description: >-
        This method is used to send an email designed in the marketing email
        tool. After you design and publish a transactional email in your HubSpot
        account, you can use this API to include customization options to the
        email, then send it to the intended recipient.
      operationId: sendSingleTransactionalEmail
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SendSingleEmailRequest'
      responses:
        '200':
          description: Email send request processed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendSingleEmailResponse'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SendSingleEmailRequest:
      type: object
      properties:
        emailId:
          type: integer
          description: >-
            The ID of the email to send. This is content ID for the
            transactional email, which can be found in email tool UI.
        message:
          $ref: '#/components/schemas/EmailMessage'
        contactProperties:
          type: array
          description: >-
            A list of JSON objects representing contact property values to set
            when sending the email.
          items:
            $ref: '#/components/schemas/PropertyValue'
        customProperties:
          type: array
          description: >-
            A list of JSON objects representing property values to set when
            sending the email. Useful if you have context in the email you don't
            want to set on the contact record.
          items:
            $ref: '#/components/schemas/PropertyValue'
      required:
        - emailId
        - message
    SendSingleEmailResponse:
      type: object
      properties:
        sendResult:
          type: string
          enum:
            - SENT
            - QUEUED
            - PORTAL_SUSPENDED
            - INVALID_TO_ADDRESS
            - BLOCKED_DOMAIN
            - PREVIOUSLY_BOUNCED
            - PREVIOUS_SPAM
            - INVALID_FROM_ADDRESS
            - MISSING_CONTENT
            - MISSING_TEMPLATE_PROPERTIES
          description: The result of the send operation
        message:
          type: string
          description: A description of the send result details
        eventId:
          type: object
          description: If sent, the id and created timestamp of the sent event
          properties:
            id:
              type: string
              description: Event ID
            created:
              type: integer
              format: int64
              description: Event creation timestamp
    Error:
      type: object
      properties:
        category:
          type: string
          description: The error category
        correlationId:
          type: string
          description: A unique identifier for the request
        message:
          type: string
          description: A human readable message describing the error
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        errors:
          type: array
          description: Further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        context:
          type: object
          description: Context about the error condition
        links:
          type: object
          description: A map of link names to associated URIs
      required:
        - category
        - correlationId
        - message
    EmailMessage:
      type: object
      properties:
        to:
          type: string
          description: The recipient of the email
        from:
          type: string
          description: >-
            The From header for the email. You can define a from name with the
            following format: "Sender Name <sender@hubspot.com>"
        sendId:
          type: string
          description: >-
            The ID of a particular send. No more than one email with a given
            sendId will be send per portal, so including a sendId is a good way
            to prevent duplicate email sends.
        replyTo:
          type: string
          description: The Reply-To header for the email
        replyToList:
          type: array
          description: A JSON list of Reply-To header values for the email
          items:
            type: string
        cc:
          type: array
          description: A JSON list of email addresses to send as Cc
          items:
            type: string
        bcc:
          type: array
          description: A JSON list of email addresses to send as Bcc
          items:
            type: string
      required:
        - to
    PropertyValue:
      type: object
      properties:
        name:
          type: string
          description: The property name
        value:
          type: string
          description: The property value
      required:
        - name
        - value
    ErrorDetail:
      type: object
      properties:
        message:
          type: string
          description: A human readable message describing the error
        in:
          type: string
          description: The name of the field or parameter in which the error was found
        code:
          type: string
          description: The status code associated with the error detail
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        context:
          type: object
          description: Context about the error condition
      required:
        - message

````